> For the complete documentation index, see [llms.txt](https://developer.fotokite.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.fotokite.com/~/changes/46/fotokite-api/notifications.md).

# Notifications

## Get notifications dictionary

> Returns the notifications dictionary. The dictionary contains all possible notifications that can be sent by the Fotokite system. It is recommended to use this endpoint to get the list of all possible notifications and their texts to display them to the user.<br>

```json
{"openapi":"3.0.4","info":{"title":"Fotokite API","version":"0.2.0"},"servers":[{"url":"http://192.168.2.100:3128/api","description":"API service running on the system"},{"url":"http://{hostname}:3128/api","description":"API service visible through NAT","variables":{"hostname":{"default":"sigma.local"}}}],"security":[{}],"paths":{"/v0/info/notifications/dictionary":{"get":{"tags":["Notifications"],"summary":"Get notifications dictionary","description":"Returns the notifications dictionary. The dictionary contains all possible notifications that can be sent by the Fotokite system. It is recommended to use this endpoint to get the list of all possible notifications and their texts to display them to the user.\n","responses":{"200":{"description":"Success response","content":{"application/json":{"schema":{"type":"array","description":"Notifications dictionary","items":{"$ref":"#/components/schemas/NotificationDictionaryItem"}}}}}}}}},"components":{"schemas":{"NotificationDictionaryItem":{"type":"object","description":"Notification dictionary item object","required":["code","severity","message"],"properties":{"code":{"description":"Notification code","type":"integer"},"severity":{"$ref":"#/components/schemas/NotificationSeverity","description":"Notification severity"},"message":{"description":"Description message","type":"string"},"system_reaction":{"description":"System reaction message\n","type":"string"},"instructions":{"description":"User instructions message\n","type":"string"}}},"NotificationSeverity":{"type":"string","description":"Notification severity enumeration. * `Info` - Something happened that is not an issue, but may be of interest * `Warning` - Something bad happened, but functionality is not affected * `Critical` - Something bad happened, some functionality is broken * `Fatal` - Something bad happened, system is not functional\n","enum":["Info","Warning","Critical","Fatal"]}}}}
```

## Get system notifications

> Returns system notifications. A notification is a temporary or permanent event that reflects the current system state. This could be an error state, an alert or a simple message. If the request body is empty, all currently active notifications will be returned. Every response contains to\_time time point. Up to this time point notifications are fetched. An event gets into the response, if the end\_time is not set or greater or equal to the to\_time. It is recommended to use this point for the next request to not miss any notification and to not request the same notifications multiple times.<br>

```json
{"openapi":"3.0.4","info":{"title":"Fotokite API","version":"0.2.0"},"servers":[{"url":"http://192.168.2.100:3128/api","description":"API service running on the system"},{"url":"http://{hostname}:3128/api","description":"API service visible through NAT","variables":{"hostname":{"default":"sigma.local"}}}],"security":[{"TokenAuth":["telemetry"]}],"components":{"securitySchemes":{"TokenAuth":{"description":"Plugin authentication using Bearer token. For more details, see [Fotokite API Documentation](https://developer.fotokite.com/~/changes/46/getting-started#authentication).\n","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"http://192.168.2.100:3128/api/v0/authentication/tokens/request","scopes":{"info":"Read static information about the system.","telemetry":"Read dynamic information about the system.","command":"Send commands to the system.","media":"Interaction with the media library.","internal":"Fotokite-internal APIs."}}}}},"schemas":{"NotificationsObject":{"type":"object","description":"Notifications object","required":["to_time","notifications"],"properties":{"from_time":{"description":"The time from which notifications are sent (including the time point itself). In RFC3339 (section 5.6) format. This value typically comes from request query parameter. If request parameter is missed then only currently active notifications returned and `from_time` is missed. If too many notifications were requested then the value is set to the `end_time` of the first returned notification.\n","type":"string","format":"date-time"},"to_time":{"description":"Current system time up to which notifications were fetched (excluding the time point itself). In RFC3339 (section 5.6) format.","type":"string","format":"date-time"},"notifications":{"description":"Notifications array. If no notifications are registered in the time interval from `from_time` to `to_time` then the array is empty.","type":"array","items":{"$ref":"#/components/schemas/Notification"}}}},"Notification":{"type":"object","description":"One notification item","required":["severity","code","message","begin_time"],"properties":{"severity":{"$ref":"#/components/schemas/NotificationSeverity","description":"Notification severity"},"code":{"description":"Notification code. See the dictionary for all possible codes.","type":"integer"},"message":{"description":"Notification message. This is a human-readable message of the notification. It may contain parameters that are used in the notification texts.","type":"string"},"begin_time":{"description":"Notification begin time. This is the time point when the notification was initially detected. In RFC3339 (section 5.6) format.","type":"string","format":"date-time"},"end_time":{"description":"Notification end time. This is the time point when the notification was gone. In RFC3339 (section 5.6) format. If notification is still not gone then the property is absent.","type":"string","format":"date-time"},"parameters":{"description":"Notification parameters. This is a dictionary of key-value pairs that are used in the notification texts. The keys are defined in the notification code dictionary.\n","type":"object","additionalProperties":true}}},"NotificationSeverity":{"type":"string","description":"Notification severity enumeration. * `Info` - Something happened that is not an issue, but may be of interest * `Warning` - Something bad happened, but functionality is not affected * `Critical` - Something bad happened, some functionality is broken * `Fatal` - Something bad happened, system is not functional\n","enum":["Info","Warning","Critical","Fatal"]}}},"paths":{"/v0/telemetry/notifications":{"get":{"tags":["Notifications"],"summary":"Get system notifications","description":"Returns system notifications. A notification is a temporary or permanent event that reflects the current system state. This could be an error state, an alert or a simple message. If the request body is empty, all currently active notifications will be returned. Every response contains to_time time point. Up to this time point notifications are fetched. An event gets into the response, if the end_time is not set or greater or equal to the to_time. It is recommended to use this point for the next request to not miss any notification and to not request the same notifications multiple times.\n","parameters":[{"name":"from_time","in":"query","description":"The time from which notifications will be sent (including the time point itself). In RFC3339 (section 5.6) format. If this parameter is not set then only currently active notifications will be returned.\n","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"Success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationsObject"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.fotokite.com/~/changes/46/fotokite-api/notifications.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
